#ifndef PARSER_H
#define PARSER_H

#include "Scanner.h"

class Parser
{
	private:
		Scanner myScanner; 
		Token myTok; // Zuletzt gelesenes Token

	public:
		Parser(const std::string& input);

		int parse();

	private:
		int start();
		int multiplikation();
		int klammer();
		int zahl();

		void accept(TokenType type);
		void getNextToken();
};

#endif /* PARSER_H */