#ifndef PARSER_H
#define PARSER_H

#include "Scanner.h"
#include "Node.h"

class Parser
{
	private:
		Scanner myScanner;
		Token myTok; // Zuletzt gelesenes Token

	public:
		Parser(const std::string& input);

		Node *parse();

	private:
		Node *start();
		Node *multiplikation();
		Node *klammer();
		NodeNumber *zahl();

		void accept(TokenType type);
		void getNextToken();
};

#endif /* PARSER_H */