#ifndef SCANNER_H
#define SCANNER_H

#include <string>
#include "Token.h"

class Scanner
{
	private:
		std::string myInput;
		unsigned int myPos; // Aktuelle Position in der Eingabe
		char myCh; // Zuletzt gelesenes Zeichen

	public:
		Scanner(const std::string& input);

		Token getNextToken();

	private:
		void skipSpaces();
		void readNextChar();
};

#endif /* SCANNER_H */